### File

`packages/ecl/components/ecl-list-illustration/ecl-list-illustration-picture.directive.ts`

### Description

Directive applied to `<img>` elements within ECL list illustrations.

Supports square variant and size options for image styling.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `img[eclListIllustrationImage]`

### Index

###### Methods
getCssClasses
###### Inputs
isSquare size class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

isSquare
Type : `boolean`
Default value : `false`
If true, image is styled with square dimensions.

size
Type : `"s" | "m" | "l"`
Default value : `'m'`
Defines the size variant of the image. Possible values: `'s'`, `'m'`, `'l'`.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Computes the appropriate ECL CSS classes for the image.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`
Computes the appropriate ECL CSS classes for the image. Returns : `string`

# results matching ""

# No results matching ""